libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_packet_blocksize

declared in "vorbis/codec.h";

This function gets the size of the block that would result from decoding a Vorbis packet but does not actually decode the packet.

    extern long     vorbis_packet_blocksize(vorbis_info *vi,ogg_packet *op);

### Parameters

vi
  The vorbis_info structure for the stream the packet is from.
op
  The packet to get the block size of.

### Return Values

> - The block size on success.
> - OV_ENOTAUDIO if the packet is not an audio packet.
> - OV_EBADPACKET if there was an error in the packet.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101